#!/bin/sh

echo "Checking to see if GD and Base components are installed"

if [ -f /usr/lib/libgd.a ]
then
else
	echo "You must have GD installed to your system."
	echo "Check your system documentation on how to install GD."
	exit -1
fi

if [ -f /usr/bin/python ]
then
else
	echo "You must have Python installed to your system."
	echo "Check your system documentation on how to install Python."
	exit -2
fi

sh buildGeos.sh
cd geos-build/geos-3.2.2

echo "Now running make install for GEOS"

su -c 'make install'

cd ../..

sh  buildProj.sh
cd proj-build/proj-4.7.0

echo "Now running make install for PROJ.4"

su -c 'make install'

cd ../..

sh buildGdal.sh
cd gdal-build/gdal-1.7.2

echo "Now running make install for GDAL"

su -c 'make install'

cd ../..

sh buildMap.sh
cd map-build/mapserver-5.6.5

echo "Now running make install for MapServer"

su -c 'make install'

cd ../..

