#!/bin/sh

export PATH=/opt/local/bin:$PATH

echo "Checking to see if GD and Base components are installed"

if [ -f /opt/local/lib/libgd.a ]
then
else
	echo "You must have GD installed to your system."
	echo "Check your system documentation on how to install GD."
	exit -1
fi

if [ -f /opt/local/bin/python/2.5 ]
then
	echo "Please continue to link the python binaries in your directory properly for GDAL."
	sudo ln -s /opt/local/bin/python2.5 /opt/local/bin/python
else
	echo "You must have Python installed to your system."
	echo "Check your system documentation on how to install Python."
	exit -2
fi

sh buildGeos.sh
cd geos-build/geos-3.2.2

echo "Now running make install for GEOS"

sudo make install

cd ../..

sh  buildProj.sh
cd proj-build/proj-4.7.0

echo "Now running make install for PROJ.4"

sudo make install

cd ../..

sh buildGdal.sh
cd gdal-build/gdal-1.7.2

echo "Now running make install for GDAL"

sudo make install

cd ../..

sh buildMap.sh
cd map-build/mapserver-5.6.5

echo "Now running make install for MapServer"

sudo make install

cd ../..

